#include<bits/stdc++.h>
using namespace std;
int tinh(int n)
{
	if(n==1)	return 1;
	else return	(pow(-1,n+1)*n)+tinh(n-1); 
}
int gt(int n)
{
	if(n==1)	return 1;
	else return n*gt(n-1);
}
int kq(int n)
{
	if(n==1)	return 1;
	else return gt(n)+kq(n-1);
 } 
int main()
{
	int a,s=0,i;
	cin>>a;
	cout<<tinh(a)<<endl;
//	for(i=1;i<=a;i++)	s=s+gt(i);
//	cout<<s;
cout<<kq(a);
}
